tidy.kappa {broom} | R Documentation

## Tidy a(n) kappa object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'kappa'
    tidy(x, ...)

### Arguments

`x` | A `kappa` object returned from `psych::cohen.kappa()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Details

Note that confidence level (alpha) for the confidence interval cannot be set in `tidy`. Instead you must set the `alpha` argument to `psych::cohen.kappa()` when creating the `kappa` object.

### Value

A tibble::tibble with columns:

`type` | Either "weighted" or "unweighted"
`estimate` | The estimated value of kappa with this method
`conf.low` | Lower bound of confidence interval
`conf.high` | Upper bound of confidence interval

### See Also

`tidy()`, `psych::cohen.kappa()`

### Examples

    library(psych)

    rater1 = 1:9
    rater2 = c(1, 3, 1, 6, 1, 5, 5, 6, 7)
    ck <- cohen.kappa(cbind(rater1, rater2))

    tidy(ck)

    # graph the confidence intervals
    library(ggplot2)
    ggplot(tidy(ck), aes(estimate, type)) +
      geom_point() +
      geom_errorbarh(aes(xmin = conf.low, xmax = conf.high))

[Package broom version 0.5.2 Index]